Bug 115251 - ccm load can't write to /etc/ccm/conf
ccm load can't write to /etc/ccm/conf
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 113496
  Show dependency treegraph
 
Reported: 2004-02-09 12:43 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 15:58:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-09 12:43:07 EST
Description of problem:
The ccm load command runs as servlet, but the /etc/ccm/conf directory
is owned by root, thus it is unable to create the config registry
files. We need to make this directory writable by 'servlet'. Doing
this, however, introduces a security risk because the servlet can now
overwrite the resin.conf and log4j.properties files. Thus these two
files need to be moved elsewhere.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2004-02-09 12:44:24 EST
In fact I'd question whether the /etc/ccm/conf directory should be
writable by the servlet container at all - only the 'ccm set' or 'ccm
load' commands ever change the config properties. 
Comment 2 Dennis Gregorovic 2004-02-09 13:34:21 EST
40193 and 40195 introduce fixes to make /etc/ccm/conf writable by the
servlet user.  However, as Dan points out in comment #1, this could
introduce a security rick.  I'll post some more thoughts this afternoon.
Comment 3 Dennis Gregorovic 2004-02-23 17:04:12 EST
fixed at @40709.  That checkin also includes a description of the new
filesystem permissions

Note You need to log in before you can comment on or make changes to this bug.